<?xml version="1.0" encoding="utf-8" standalone="no"?>
<application xmlns="http://ns.adobe.com/air/application/51.2">
	<id>com.distriqt.test</id>
	<filename>Map ANE Demo</filename>
	<name>Map ANE Demo</name>
	<versionNumber>4.0.0</versionNumber>

	<initialWindow>
		<content>TestNativeMaps.swf</content>
		<autoOrients>false</autoOrients>
		<fullScreen>true</fullScreen>
		<visible>true</visible>
	</initialWindow>

	<icon>
		<image16x16>icons/icon16x16.png</image16x16>
		<image29x29>icons/icon29x29.png</image29x29>
		<image32x32>icons/icon32x32.png</image32x32>
		<image36x36>icons/icon36x36.png</image36x36>
		<image48x48>icons/icon48x48.png</image48x48>
		<image57x57>icons/icon57x57.png</image57x57>
		<image72x72>icons/icon72x72.png</image72x72>
		<image114x114>icons/icon114x114.png</image114x114>
		<image128x128>icons/icon128x128.png</image128x128>
		<image512x512>icons/icon512x512.png</image512x512>
	</icon>

	<iPhone>
		<InfoAdditions><![CDATA[
			<key>UIDeviceFamily</key>
			<array>
				<string>1</string>
				<string>2</string>
			</array>
			<key>NSLocationWhenInUseUsageDescription</key>
			<string>This is the location message request</string>

			<key>MinimumOSVersion</key>
			<string>12.0</string>

			]]>
		</InfoAdditions>
		<requestedDisplayResolution>high</requestedDisplayResolution>
		<Entitlements><![CDATA[
			]]>
		</Entitlements>
	</iPhone>
	
	<android>
		<manifestAdditions><![CDATA[
			<manifest android:installLocation="auto">
				
				<uses-sdk android:minSdkVersion="21" android:targetSdkVersion="34" />
				
				<uses-permission android:name="android.permission.INTERNET"/>
				<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
				<uses-permission android:name="android.permission.READ_PHONE_STATE"/>
				<uses-permission android:name="android.permission.ACCESS_FINE_LOCATION"/>
				<uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION"/>
				<uses-permission android:name="android.permission.DISABLE_KEYGUARD"/>
				<uses-permission android:name="android.permission.WAKE_LOCK"/>
				<uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>
				<uses-permission android:name="android.permission.ACCESS_WIFI_STATE"/>
				
				<uses-permission android:name="com.google.android.providers.gsf.permission.READ_GSERVICES"/>
				
				<uses-permission android:name="air.com.distriqt.test.permission.MAPS_RECEIVE" android:protectionLevel="signature"/>
				
				<uses-feature android:glEsVersion="0x00020000" android:required="true"/>
				
				<application>
                    <uses-library android:name="org.apache.http.legacy" android:required="false" />
					<meta-data android:name="com.google.android.gms.version" android:value="@integer/google_play_services_version" />
        		
					<activity android:name="com.distriqt.core.auth.AuthorisationActivity" android:theme="@android:style/Theme.Translucent.NoTitleBar" android:exported="false" />
				</application>
				
			</manifest>]]>
		</manifestAdditions>
	</android>

	<extensions>
		<extensionID>com.distriqt.NativeMaps</extensionID>
		<extensionID>com.distriqt.Core</extensionID>
        <extensionID>com.distriqt.playservices.Base</extensionID>
        <extensionID>com.distriqt.playservices.Maps</extensionID>
        <extensionID>androidx.core</extensionID>
	</extensions>
	
</application>
